version: '3.8'

services:
  nginx:
    ports:
      - "8080:80"
    volumes:
      - ../api:/var/www/api
      - ../admin:/var/www/admin
      - ../sdk:/var/www/sdk
      - ../sw:/var/www/sw

  php:
    volumes:
      - ../api:/var/www/api
      - ../shopify-app:/var/www/shopify-app
    environment:
      - APP_ENV=development
      - DISPLAY_ERRORS=1

  mysql:
    ports:
      - "3307:3306"

  worker:
    volumes:
      - ../api:/var/www/api
    environment:
      - APP_ENV=development
